package fr.uca.iut.clfreville2.teaiswarm

import android.os.Bundle
import android.widget.TextView
import androidx.appcompat.app.AppCompatActivity

class RepositoryDetailActivity : AppCompatActivity() {

    private lateinit var repositoryName: TextView

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_repository_detail)

        repositoryName = findViewById(R.id.repository_detail_name)

        var currentRepositoryName: String? = null
        val bundle: Bundle? = intent.extras
        if (bundle != null) {
            currentRepositoryName = bundle.getString(REPOSITORY_NAME)
        }

        currentRepositoryName?.let {
            repositoryName.text = currentRepositoryName
        }
    }
}